## ktp-text-ui 20.08.0

=== CMakeLists.txt ===
project(ktp-text-ui)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(KTP_TEXT_UI_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
set(IS_KTP_INTERNAL_MODULE TRUE)

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package (KF5 REQUIRED COMPONENTS Archive Sonnet WidgetsAddons Service Emoticons
                                      KIO KCMUtils NotifyConfig Notifications I18n
                                      WindowSystem XmlGui ItemViews TextWidgets
                                      IconThemes DBusAddons)
set(QT_REQUIRED_VERSION 5.7.0)
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS WebEngine WebEngineWidgets)
find_package(Qt5 ${QT_REQUIRED_VERSION} OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
endif()
find_package (KTp REQUIRED)

find_package (KF5People)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "KDE Contacts aggregation"
                       TYPE OPTIONAL
)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
endif ()
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(image-sharer)
add_subdirectory(lib)
add_subdirectory(app)
add_subdirectory(config)
add_subdirectory(data)
add_subdirectory(adiumxtra-protocol-handler)
add_subdirectory(filters)
add_subdirectory(logviewer)

ecm_setup_version(${KTP_TEXT_UI_VERSION} VARIABLE_PREFIX KTP_TEXT_UI
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktptextui_version.h")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== config/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)
include_directories(${CMAKE_SOURCE_DIR}/image-sharer)

add_subdirectory(appearance)
add_subdirectory(behavior)
add_subdirectory(messages)
add_subdirectory(otr)

=== data/CMakeLists.txt ===
install(FILES Template.html
        DESTINATION ${DATA_INSTALL_DIR}/ktelepathy)

install(DIRECTORY styles
        DESTINATION ${DATA_INSTALL_DIR}/ktelepathy
        PATTERN "LICENSE" EXCLUDE
        PATTERN "README" EXCLUDE
        PATTERN "Renkoo LICENSE.txt" EXCLUDE)

=== filters/geopoint/CMakeLists.txt ===
add_library(ktptextui_message_filter_geopoint MODULE geopoint-filter.cpp)

target_link_libraries(ktptextui_message_filter_geopoint
    ktpchat
    KF5::KIOWidgets
    KTp::CommonInternals
    )

# Install:
install(TARGETS ktptextui_message_filter_geopoint
    DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_geopoint.desktop.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_geopoint.desktop
    @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_geopoint.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-text-ui (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes compatibility with QtWebEngine 5.11+ (Closes: #906098)
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump libktp-dev to 20.08.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:14:23 +0200

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0~),
               gettext,
               libkf5archive-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev (>= 5.16-2),
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 20.08.0~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: libktpchat0, ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install
	find debian/kde-telepathy-text-ui -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## ktp-text-ui 20.08.1

=== debian/changelog ===
ktp-text-ui (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:59 +0100

ktp-text-ui (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:51:47 +0100

ktp-text-ui (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:42:20 +0100

ktp-text-ui (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:22:39 +0100

ktp-text-ui (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:40:46 +0100

ktp-text-ui (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:26:39 +0100

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev,
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 4:20.08.1~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: libktpchat0, ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 20.12.3

=== debian/changelog ===
ktp-text-ui (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:27:22 +0000

ktp-text-ui (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:00:34 +0000

ktp-text-ui (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:14:34 +0000

ktp-text-ui (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:33:44 +0000

ktp-text-ui (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:57:44 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:20.08.1~),
+               libktp-dev (>= 4:20.12.3~),
                libqt5texttospeech5-dev,
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),

## ktp-text-ui 21.08.1

=== debian/changelog ===
ktp-text-ui (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:39:15 +0100

ktp-text-ui (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:08:46 +0100

ktp-text-ui (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:02:57 +0100

ktp-text-ui (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:38:23 +0100

ktp-text-ui (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:59 +0100

ktp-text-ui (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:47:13 +0100

ktp-text-ui (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:13:36 +0100

ktp-text-ui (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:43:55 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-               libktp-dev (>= 4:20.12.3~),
+               libktp-dev (>= 4:21.08.1~),
                libqt5texttospeech5-dev,
                libtelepathy-logger-dev,
                libtelepathy-logger-qt-dev (>= 17.08~),

## ktp-text-ui 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
 set(IS_KTP_INTERNAL_MODULE TRUE)

=== filters/highlight/CMakeLists.txt ===
add_library (ktptextui_message_filter_highlight MODULE highlight-filter.cpp)

target_link_libraries (ktptextui_message_filter_highlight
    ktpchat
    KF5::CoreAddons
    KTp::CommonInternals
)

# Install:
install (TARGETS ktptextui_message_filter_highlight
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_highlight.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_highlight.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_highlight.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== filters/images/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"ktp-filters\")

add_library(ktptextui_message_filter_images MODULE images-filter.cpp)

target_link_libraries (ktptextui_message_filter_images
    KF5::Emoticons
    KF5::I18n
    KF5::CoreAddons
    KTp::CommonInternals
)

# Install:
install (TARGETS ktptextui_message_filter_images
         DESTINATION ${PLUGIN_INSTALL_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_images.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_images.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_images.desktop
         DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ktp-text-ui (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop override for tag postinst-must-call-ldconfig removed from lintian.
  * Drop kde-l10n migration rules, not needed anymore.
  * Drop dbgsym migration rules, not needed anymore.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Apr 2022 00:13:28 +0200

ktp-text-ui (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:32:26 +0900

ktp-text-ui (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libktp-dev version.
  * Borrow minimal upstream signing key from k3b.
  * Update watch file for signatures.
  * Drop Kubuntu from maintainer name.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 May 2021 10:57:35 +0900

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0~),
               gettext,
               libkf5archive-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev (>= 5.16-2),
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 21.04.0~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libktpchat0
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 22.08.1

=== debian/changelog ===
ktp-text-ui (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:46:17 +0100

ktp-text-ui (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:55:36 +0100

ktp-text-ui (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:33:27 +0100

ktp-text-ui (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:08:04 +0100

ktp-text-ui (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:07:10 +0100

ktp-text-ui (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:54:30 +0100

ktp-text-ui (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:17:04 +0000

ktp-text-ui (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key
  * Add signature support for debian/watch

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:23:39 +0000

ktp-text-ui (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:31:28 +0000

ktp-text-ui (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:28:35 +0000

ktp-text-ui (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:23:49 +0000

ktp-text-ui (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:31:03 +0000

ktp-text-ui (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:46:14 +0000

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev,
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 4:22.08.1~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: libktpchat0, ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 22.12.0

=== debian/changelog ===
ktp-text-ui (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:53 +0100

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.6.0~),
               gettext,
               libkf5archive-dev,
               libkf5dbusaddons-dev,
               libkf5emoticons-dev (>= 5.16-2),
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5people-dev,
               libkf5service-dev,
               libkf5sonnet-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 21.04.0~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libktpchat0
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-text-ui 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
-project(ktp-text-ui)
-
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")
-set(IS_KTP_INTERNAL_MODULE TRUE)
 
-find_package(ECM 1.3.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+project(ktp-text-ui VERSION ${KTP_TEXT_UI_VERSION})
+
+find_package(ECM 1.6.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 find_package (KF5 REQUIRED COMPONENTS Archive Sonnet WidgetsAddons Service Emoticons
                                       KIO KCMUtils NotifyConfig Notifications I18n
@@ -51,8 +50,9 @@
 add_subdirectory(filters)
 add_subdirectory(logviewer)
 
+ki18n_install(po)
+
 ecm_setup_version(${KTP_TEXT_UI_VERSION} VARIABLE_PREFIX KTP_TEXT_UI
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktptextui_version.h")
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== data/CMakeLists.txt ===
install(FILES Template.html
        DESTINATION ${KDE_INSTALL_DATADIR}/ktelepathy)

install(DIRECTORY styles
        DESTINATION ${KDE_INSTALL_DATADIR}/ktelepathy
        PATTERN "LICENSE" EXCLUDE
        PATTERN "README" EXCLUDE
        PATTERN "Renkoo LICENSE.txt" EXCLUDE)

=== image-sharer/CMakeLists.txt ===
project (imagesharer)

add_library (ktpimagesharer simplestimagehostingsharer.cpp
        abstractsharer.cpp
        mpform.cpp
        imgursharer.cpp
        imagebinsharer.cpp
        shareprovider.cpp
)

target_link_libraries(ktpimagesharer
                      KF5::I18n
                      KF5::KIOWidgets
                      KTp::OTR
)

install(TARGETS ktpimagesharer ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== logviewer/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)

set(ktp-log-viewer_SRCS
        main.cpp
        log-viewer.cpp
        logs-import-dialog.cpp
        dates-model.cpp
        dates-view-delegate.cpp
        entity-model.cpp
        message-view.cpp
        entity-view.cpp
        entity-view-delegate.cpp
        entity-filter-model.cpp
        person-entity-merge-model.cpp
)

add_subdirectory(config)

ki18n_wrap_ui(ktp-log-viewer_SRCS log-viewer.ui)

add_executable(ktp-log-viewer ${ktp-log-viewer_SRCS})

target_link_libraries(ktp-log-viewer
            KF5::I18n
            KF5::ConfigCore
            KF5::ItemViews
            KF5::CoreAddons
            KF5::DBusAddons
            KF5::KIOWidgets
            KF5::Emoticons
            KF5::KCMUtils
            KTp::CommonInternals
            KTp::Logger
            KTp::Models
            ktpchat)

install(TARGETS ktp-log-viewer DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES org.kde.ktplogviewer.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES log-viewer.rc DESTINATION  ${KDE_INSTALL_DATADIR}/ktp-log-viewer/)

=== filters/formatting/CMakeLists.txt ===
add_library (ktptextui_message_filter_formatting MODULE format-filter.cpp)

target_link_libraries (ktptextui_message_filter_formatting
    KTp::CommonInternals
    KF5::CoreAddons
)

# Install:
install (TARGETS ktptextui_message_filter_formatting
         DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_formatting.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_formatting.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_formatting.desktop
         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== filters/youtube/CMakeLists.txt ===
add_library(ktptextui_message_filter_youtube MODULE youtube-filter.cpp)

target_link_libraries (ktptextui_message_filter_youtube
    ktpchat
    KF5::KIOWidgets
    KTp::CommonInternals
)

# Install:
install (TARGETS ktptextui_message_filter_youtube
         DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_youtube.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_youtube.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_youtube.desktop
         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== logviewer/config/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib ${CMAKE_SOURCE_DIR}/logviewer)

set(kcm_ktp_logviewer_behavior_SRCS behavior-config.cpp)

set(kcm_ktp_logviewer_behavior_UI behavior-config.ui)

ki18n_wrap_ui(kcm_ktp_logviewer_behavior_SRCS ${kcm_ktp_logviewer_behavior_UI})

add_library(kcm_ktp_logviewer_behavior MODULE ${kcm_ktp_logviewer_behavior_SRCS})

target_link_libraries(kcm_ktp_logviewer_behavior
    KF5::KCMUtils
    ktpchat
)

install(TARGETS
        kcm_ktp_logviewer_behavior
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES
        kcm_ktp_logviewer_behavior.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
ktp-text-ui (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:30 +0100

ktp-text-ui (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:08:23 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                pkg-kde-tools (>= 0.9),
                qtbase5-dev,
                qtwebengine5-dev (>= 5.7.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-text-ui.git
@@ -47,8 +47,8 @@
          libjs-jquery (>= 1.7),
          ${misc:Depends},
          ${shlibs:Depends},
-Replaces: libktpchat0
-Recommends: kde-telepathy
+Replaces: libktpchat0,
+Recommends: kde-telepathy,
 Description: Telepathy text chat UI for the KDE Plasma Desktop
  This package provides a telepathy handler for text channels, a program
  that in other words allows you to chat with your contacts using instant

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	find debian/kde-telepathy-text-ui -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;

## ktp-text-ui 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KTP_TEXT_UI_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")

=== app/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib)
include_directories(${CMAKE_SOURCE_DIR}/image-sharer)

set(ktp-text-ui_SRCS
        main.cpp
        telepathy-chat-ui.cpp
        chat-window.cpp
        chat-tab.cpp
        emoticon-text-edit-action.cpp
        emoticon-text-edit-selector.cpp
        invite-contact-dialog.cpp
)

set (ktp-text-ui_LIBS
        Qt5::WebEngine
        KF5::CoreAddons
        KF5::I18n
        KF5::KIOWidgets
        KF5::ConfigWidgets
        KF5::Emoticons
        KF5::WidgetsAddons
        KTp::CommonInternals
        KTp::Models
        KTp::Widgets
        KTp::OTR
        KF5::NotifyConfig
        KF5::KCMUtils
        ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS}
        ktpchat
)

if(KF5People_FOUND)
    set (ktp-text-ui_LIBS
        ${ktp-text-ui_LIBS}
        KF5::PeopleWidgets
    )
endif()

add_executable(ktp-text-ui ${ktp-text-ui_SRCS})

target_link_libraries(ktp-text-ui
            ${ktp-text-ui_LIBS})

configure_file(org.freedesktop.Telepathy.Client.KTp.TextUi.service.in
               ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TextUi.service)

install(TARGETS ktp-text-ui DESTINATION ${KDE_INSTALL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.TextUi.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES KTp.TextUi.client DESTINATION ${KDE_INSTALL_DATAROOTDIR}/telepathy/clients/)
install(FILES chatwindow.rc
  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/ktp-text-ui/)

=== lib/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/image-sharer)

add_definitions(-DTRANSLATION_DOMAIN=\"ktpchat\")

set(ktpchat_SRCS
        chat-widget.cpp
        chat-window-style.cpp
        chat-window-style-manager.cpp
        adium-theme-view.cpp
        adium-theme-header-info.cpp
        adium-theme-message-info.cpp
        adium-theme-content-info.cpp
        adium-theme-status-info.cpp
        channel-contact-model.cpp
        chat-style-plist-file-reader.cpp
        chat-text-edit.cpp
        chat-search-bar.cpp
        contact-delegate.cpp
        notify-filter.cpp
        text-chat-config.cpp
        proxy-service.cpp
        otr-status.cpp
        authenticationwizard.cpp
        otr-notifications.cpp
        ktp-debug.cpp
        emoticons-manager.cpp
        )

set(ktpchat_UI
    chat-widget.ui
    keygendialog.ui
)

ki18n_wrap_ui(ktpchat_SRCS ${ktpchat_UI})

add_library(ktpchat SHARED ${ktpchat_SRCS})

target_link_libraries(ktpchat
    KF5::KIOWidgets
    KF5::KIOCore
    KF5::I18n
    KF5::Emoticons
    KF5::IconThemes
    KF5::Archive
    KF5::SonnetCore
    KF5::Notifications
    KF5::TextWidgets
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::WindowSystem
    KF5::XmlGui #for KActionCollection
    KTp::CommonInternals
    KTp::Logger
    KTp::OTR
    KTp::Widgets
    Qt5::WebEngineWidgets
    ktpimagesharer
)
install(TARGETS ktpchat ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


install(FILES
        ktptxtui_message_filter.desktop
        DESTINATION
        ${KDE_INSTALL_KSERVICETYPES5DIR}
)

=== config/appearance/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_appearance\")

set(kcm_ktp_chat_appearance_SRCS appearance-config-tab.cpp appearance-config.cpp)
set(kcm_ktp_chat_appearance_UI appearance-config.ui)

ki18n_wrap_ui(kcm_ktp_chat_appearance_SRCS ${kcm_ktp_chat_appearance_UI})
add_library(kcm_ktp_chat_appearance MODULE ${kcm_ktp_chat_appearance_SRCS})

target_link_libraries(kcm_ktp_chat_appearance
    Qt5::WebEngineWidgets
    KF5::KCMUtils
    KF5::WidgetsAddons
    KF5::IconThemes
    ktpchat
)

install(TARGETS
        kcm_ktp_chat_appearance
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES
        kcm_ktp_chat_appearance.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== config/behavior/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_behavior\")

set(kcm_ktp_chat_behavior_SRCS behavior-config.cpp)
set(kcm_ktp_chat_behavior_UI behavior-config.ui)

ki18n_wrap_ui(kcm_ktp_chat_behavior_SRCS ${kcm_ktp_chat_behavior_UI})
add_library(kcm_ktp_chat_behavior MODULE ${kcm_ktp_chat_behavior_SRCS})

target_link_libraries(kcm_ktp_chat_behavior
    KF5::TextWidgets
    KF5::KCMUtils
    ktpchat
    ktpimagesharer
)

install(TARGETS
        kcm_ktp_chat_behavior
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES
        kcm_ktp_chat_behavior.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== config/messages/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_messages\")

set(kcm_ktp_chat_messages_SRCS messages-config.cpp)

add_library(kcm_ktp_chat_messages MODULE ${kcm_ktp_chat_messages_SRCS})

target_link_libraries(kcm_ktp_chat_messages
    KF5::KCMUtils
    KTp::CommonInternals
    ktpchat
)

install(TARGETS
        kcm_ktp_chat_messages
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES
        kcm_ktp_chat_messages.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== config/otr/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ktp_chat_otr\")

set(kcm_ktp_chat_otr_SRCS otr-config.cpp)
set(kcm_ktp_chat_otr_UI otr-config.ui)

ki18n_wrap_ui(kcm_ktp_chat_otr_SRCS ${kcm_ktp_chat_otr_UI})
add_library(kcm_ktp_chat_otr MODULE ${kcm_ktp_chat_otr_SRCS})

target_link_libraries(kcm_ktp_chat_otr
    KF5::KCMUtils
    KF5::WidgetsAddons
    KTp::CommonInternals
    KTp::OTR
    ktpchat
)

install(TARGETS
        kcm_ktp_chat_otr
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES
        kcm_ktp_chat_otr.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== filters/geopoint/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Install:
 install(TARGETS ktptextui_message_filter_geopoint
-    DESTINATION ${PLUGIN_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_PLUGINDIR}
 )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_geopoint.desktop.cmake
@@ -17,5 +17,5 @@
 )
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_geopoint.desktop
-    DESTINATION ${SERVICES_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
 )

=== filters/highlight/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Install:
 install (TARGETS ktptextui_message_filter_highlight
-         DESTINATION ${PLUGIN_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_PLUGINDIR}
 )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_highlight.desktop.cmake
@@ -16,6 +16,6 @@
                @ONLY)
 
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_highlight.desktop
-         DESTINATION ${SERVICES_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
 )

=== filters/images/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # Install:
 install (TARGETS ktptextui_message_filter_images
-         DESTINATION ${PLUGIN_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_PLUGINDIR}
 )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_images.desktop.cmake
@@ -19,5 +19,5 @@
                @ONLY)
 
 install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_images.desktop
-         DESTINATION ${SERVICES_INSTALL_DIR}
+         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
 )

=== filters/searchexpansion/CMakeLists.txt ===
add_library (ktptextui_message_filter_searchexpansion MODULE searchexpansion-filter.cpp)

target_link_libraries (ktptextui_message_filter_searchexpansion
    ktpchat
    KF5::KIOWidgets
    KF5::CoreAddons
    KTp::CommonInternals
)

# Install:
install (TARGETS ktptextui_message_filter_searchexpansion
         DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_searchexpansion.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_searchexpansion.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_searchexpansion.desktop
         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== filters/texttospeech/CMakeLists.txt ===
add_library (ktptextui_message_filter_tts MODULE tts-filter.cpp)

target_link_libraries (ktptextui_message_filter_tts
    KF5::CoreAddons
    KF5::I18n
    KTp::CommonInternals
    Qt5::TextToSpeech
)

# Install:
install (TARGETS ktptextui_message_filter_tts
         DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktptextui_message_filter_tts.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_tts.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktptextui_message_filter_tts.desktop
         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
ktp-text-ui (4:23.04.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:20 +1100

ktp-text-ui (4:23.04.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:27:26 +0000

ktp-text-ui (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:54:55 +0100

ktp-text-ui (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:01:23 +0100

ktp-text-ui (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:06 +0000

ktp-text-ui (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:26:28 -0600

ktp-text-ui (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:19:55 +0000

ktp-text-ui (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:15:43 +0000

ktp-text-ui (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:11:55 +0000

ktp-text-ui (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:54:50 +0000

ktp-text-ui (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:14:48 +0000

=== debian/control ===
Source: ktp-text-ui
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5emoticons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev,
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktp-dev (>= 4:23.04.3~),
               libqt5texttospeech5-dev,
               libtelepathy-logger-dev,
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtwebengine5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-text-ui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-text-ui

Package: kde-telepathy-text-ui
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1),
         libjs-jquery (>= 1.7),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: libktpchat0, ${kde-l10n:all}
Recommends: kde-telepathy
Description: Telepathy text chat UI for the KDE Plasma Desktop
 This package provides a telepathy handler for text channels, a program
 that in other words allows you to chat with your contacts using instant
 text messages.
 .
 In addition, this package also provides a UI for viewing telepathy
 text chat logs.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-text-ui-dbg (<= 15.12.1-1~~)'

override_dh_auto_install:
	$(overridden_command)
	find debian/kde-telepathy-text-ui -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
